KDE 4.9 PyKDE API Reference

- KDE's Python API

# KCategoryDrawerV3 Class Reference

`from PyKDE4.kdeui import *`

Inherits: KCategoryDrawerV2 → QObject

## Detailed Description

Since:
  4.5

## Methods

| __init__ (self, KCategorizedView view)
| mouseButtonDoubleClicked (self, QModelIndex index, QRect blockRect, QMouseEvent event)
| mouseButtonPressed (self, QModelIndex index, QRect blockRect, QMouseEvent event)
| mouseButtonReleased (self, QModelIndex index, QRect blockRect, QMouseEvent event)
| mouseLeft (self, QModelIndex index, QRect blockRect)
| mouseMoved (self, QModelIndex index, QRect blockRect, QMouseEvent event)
KCategorizedView | view (self)

## Method Documentation

__init__ | ( | self, |
|  | KCategorizedView | view
| ) |  |  |

mouseButtonDoubleClicked | ( | self, |
|  | QModelIndex | index,
|  | QRect | blockRect,
|  | QMouseEvent | event
| ) |  |  |

Method called when the mouse button has been double clicked.

Parameters:

  | index | The representative index of the block of items.
  | blockRect | The rect occupied by the block of items.
  | event | The mouse event.

Warning:
  You explicitly have to determine whether the event has been accepted or not. You have to call event->accept() or event->ignore() at all possible case branches in your code.

mouseButtonPressed | ( | self, |
|  | QModelIndex | index,
|  | QRect | blockRect,
|  | QMouseEvent | event
| ) |  |  |

Method called when the mouse button has been pressed.

Parameters:

  | index | The representative index of the block of items.
  | blockRect | The rect occupied by the block of items.
  | event | The mouse event.

Warning:
  You explicitly have to determine whether the event has been accepted or not. You have to call event->accept() or event->ignore() at all possible case branches in your code.

mouseButtonReleased | ( | self, |
|  | QModelIndex | index,
|  | QRect | blockRect,
|  | QMouseEvent | event
| ) |  |  |

Method called when the mouse button has been released.

Parameters:

  | index | The representative index of the block of items.
  | blockRect | The rect occupied by the block of items.
  | event | The mouse event.

Warning:
  You explicitly have to determine whether the event has been accepted or not. You have to call event->accept() or event->ignore() at all possible case branches in your code.

mouseLeft | ( | self, |
|  | QModelIndex | index,
|  | QRect | blockRect
| ) |  |  |

Method called when the mouse button has left this block.

Parameters:

  | index | The representative index of the block of items.
  | blockRect | The rect occupied by the block of items.

mouseMoved | ( | self, |
|  | QModelIndex | index,
|  | QRect | blockRect,
|  | QMouseEvent | event
| ) |  |  |

Method called when the mouse has been moved.

Parameters:

  | index | The representative index of the block of items.
  | blockRect | The rect occupied by the block of items.
  | event | The mouse event.

KCategorizedView view | ( |  | self ) |

Returns:
  The view this category drawer is associated with.